Package: javax.swing.tree

## Class DefaultMutableTreeNode

- - ### Methods Summary

    Methods
    Return type | Name and parameters
    --- | ---
    `void` | `clear()` Removes all children nodes from the DefaultMutableTreeNode.
    `DefaultMutableTreeNode` | `leftShift(DefaultMutableTreeNode node)` Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

  - #### Methods inherited from class java.lang.Object

    `addShutdownHook`, `any`, `any`, `asBoolean`, `asType`, `collect`, `collect`, `collect`, `dump`, `each`, `eachMatch`, `eachMatch`, `eachWithIndex`, `every`, `every`, `find`, `find`, `findAll`, `findAll`, `findIndexOf`, `findIndexOf`, `findIndexValues`, `findIndexValues`, `findLastIndexOf`, `findLastIndexOf`, `findResult`, `findResult`, `findResult`, `findResult`, `getAt`, `getMetaClass`, `getMetaPropertyValues`, `getProperties`, `grep`, `grep`, `hasProperty`, `identity`, `inject`, `inject`, `inspect`, `invokeMethod`, `is`, `isCase`, `isNotCase`, `iterator`, `metaClass`, `print`, `print`, `printf`, `printf`, `println`, `println`, `println`, `putAt`, `respondsTo`, `respondsTo`, `setMetaClass`, `split`, `sprintf`, `sprintf`, `stream`, `tap`, `toString`, `use`, `use`, `use`, `with`, `with`, `withCloseable`, `withMethodClosure`, `withStream`, `withTraits`

  - #### Methods inherited from interface javax.swing.tree.MutableTreeNode

    `leftShift`, `putAt`

  - #### Methods inherited from interface javax.swing.tree.TreeNode

    `getAt`, `iterator`, `size`

- - ### Methods Detail

    - #### public void clear()

      Removes all children nodes from the DefaultMutableTreeNode.

      Since:
        1.6.4

    - #### public DefaultMutableTreeNode leftShift(DefaultMutableTreeNode node)

      Overloads the left shift operator to provide an easy way to add nodes to a DefaultMutableTreeNode.

      Parameters:
        `node` - a node to be added to the treeNode.
      Returns:
        same treeNode, after the value was added to it.
      Since:
        1.6.4